Bug 52541 - dhcpcd doesn't appear to work with tr0
dhcpcd doesn't appear to work with tr0
Product: Red Hat Linux
Classification: Retired
Component: dhcpcd (Show other bugs)
i386 Linux
medium Severity medium
: ---
: ---
Assigned To: Elliot Lee
Depends On:
  Show dependency treegraph
Reported: 2001-08-24 16:08 EDT by Scott Russell
Modified: 2008-05-01 11:38 EDT (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2001-11-15 10:01:14 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

  None (edit)
Description Scott Russell 2001-08-24 16:08:58 EDT
Description of Problem:

Cofigure ifcfg-tr0 by hand and set the boot protocol to "dhcp". Run ifup
tr0 and dhcp replys with: dhcpStart: Interface tr0 is not Ethernet or 802.2
Token Ring. Static IP works fine.

dhcp for tr0 previously worked in 7.1 but I do not recall if it was using
pump or dhcpcd packages. (Which was the default install???)

Version-Release number of selected component (if applicable):


How Reproducible:


Steps to Reproduce:

See above
Comment 1 Scott Russell 2001-08-24 18:43:58 EDT
I was able to get pump-0.8.11-6 from the beta site and test again with tr0 and dhcp.

Using pump tr0 works when set to use dhcp. Using dhcpcd tr0 does not work
properly. (See previous error message).

Is there a reson that dhcpcd has replaced pump in 7.2 or is it possible to
install both pump and dhcpcd and have tr0 interface default to pump while dhcpcd
is used for all other interfaces as it is now? 

This could be quick hack in the ifup / ifdown scripts to read the existing TYPE
var in ifcfg-trX and if it matches 'Token Ring' to use pump. All other scripts
would use dhcpcd.
Comment 2 Scott Russell 2001-09-04 14:54:20 EDT
Still waiting on RH for test case fixes to this bug.
Comment 3 Bill Nottingham 2001-11-01 11:39:50 EST
Is there a problem with just only installing pump on the affected machines?
Comment 4 Scott Russell 2002-03-23 10:50:17 EST
Problem is an out of box issue. it would be easy to install pump and dhcpcd and
use one or the other based on the interface (trX vs ethX). That said, closing
this 7.2 bug. Will investigate under skipjack public beta and reopen if needed.

Note You need to log in before you can comment on or make changes to this bug.